Package Gnumed :: Package exporters :: Module gmPatientExporter |
[frames] | no frames]

# Module gmPatientExporter

source code

Author: Carlos Moro, Karsten Hilbert

License: GPL v2 or later

Classes
| cEmrExport
| cEMRJournalExporter Exports patient EMR into a simple chronological journal.
| cMedistarSOAPExporter Export SOAP data per encounter into Medistar import format.

Functions
usage() Prints application usage options to stdout. | source code
run() Main module application execution loop. | source code

Variables
| __doc__ = `"""GNUmed simple ASCII EMR export to`...``

Imports: os, sys, time, io, logging, shutil, gmExceptions, gmPG2, gmTools, gmDateTime, gmClinicalRecord, gmAllergy, gmDemographicRecord, gmSoapDefs

Variables Details

  ### __doc__ Value:
      """GNUmed simple ASCII EMR export tool.

      TODO:
      - output modes:
        - HTML - post-0.1 !
      """